<div class="flex flex-col items-center justify-center h-screen">
  <div class="bg-white shadow-md rounded-lg p-10 w-full max-w-md">
<div class="max-w-md mx-auto mt-10">
  <form [formGroup]="RegistroForm" class="space-y-4">
    <div>
      <label for="nombre" class="block text-sm font-medium text-gray-700">Nombre</label>
      <input type="text" formControlName="nombreCliente" required [class.is-invalid]="mostrarErrores && RegistroForm.get('nombreCliente')?.invalid && RegistroForm.get('nombreCliente')?.touched" id="nombre" name="nombre" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('nombreCliente')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese su nombre.
      </div>
    </div>
    <div>
      <label for="direccion" class="block text-sm font-medium text-gray-700">Dirección</label>
      <input type="text" formControlName="direccionCliente" required [class.is-invalid]="mostrarErrores && RegistroForm.get('direccionCliente')?.invalid && RegistroForm.get('direccionCliente')?.touched" id="direccion" name="direccion" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('direccionCliente')?.invalid "  class="text-red-500 text-sm mt-1">
        Por favor, ingrese su Dirección.
      </div>
    </div>
    <div>
      <label for="telefonoCliente" class="block text-sm font-medium text-gray-700">Telefono</label>
      <input type="text" formControlName="telefonoCliente" required [class.is-invalid]="mostrarErrores && RegistroForm.get('telefonoCliente')?.invalid && RegistroForm.get('telefonoCliente')?.touched" id="telefonoCliente" name="telefonoCliente" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('telefonoCliente')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese su telefono.
      </div>
    </div>
    <div>
      <label for="nombreUsuario" class="block text-sm font-medium text-gray-700">Nombre de Usuario</label>
      <input type="text" formControlName="nombreUsuario" required [class.is-invalid]="mostrarErrores && RegistroForm.get('nombreUsuario')?.invalid && RegistroForm.get('nombreUsuario')?.touched" id="nombreUsuario" name="nombreUsuario" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('nombreUsuario')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese su Nombre de usuario.
      </div>
    </div>
    <div>
      <label for="contrasena" class="block text-sm font-medium text-gray-700">Contraseña</label>
      <input type="password" formControlName="contrasena" required [class.is-invalid]="mostrarErrores && RegistroForm.get('contrasena')?.invalid && RegistroForm.get('contrasena')?.touched" id="contrasena" name="contrasena" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('contrasena')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese su Contraseña.
      </div>
    </div>
    <div>
      <label for="correo" class="block text-sm font-medium text-gray-700">Correo</label>
      <input type="text" formControlName="correo" required [class.is-invalid]="mostrarErrores && RegistroForm.get('correo')?.invalid && RegistroForm.get('correo')?.touched" id="correo" name="correo" class="mt-1 block w-full rounded-md border-gray-300 shadow-sm focus:border-indigo-500 focus:ring focus:ring-indigo-200 focus:ring-opacity-50">
      <div *ngIf="mostrarErrores && RegistroForm.get('correo')?.invalid"  class="text-red-500 text-sm mt-1">
        Por favor, ingrese su correo.
      </div>
    </div>
    <div class="flex justify-between">
      <button type="submit" (click)="guardar()" class="inline-flex items-center px-4 py-2 border border-transparent text-base font-medium rounded-md text-white bg-indigo-600 hover:bg-indigo-700 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-indigo-500">Crear</button>
      <button type="button" (click)="volverLogin()" class="inline-flex items-center px-4 py-2 border border-transparent text-base font-medium rounded-md text-gray-700 bg-gray-200 hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Volver</button>
    </div>
  </form>

  <div *ngIf="respuestaCreacion" class="mt-8">
    <h2 class="text-lg font-semibold mb-4">Respuesta de la creación:</h2>
    <table class="min-w-full divide-y divide-gray-200">
      <thead class="bg-gray-50">
      <tr>
        <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Campo</th>
        <th scope="col" class="px-6 py-3 text-left text-xs font-medium text-gray-500 uppercase tracking-wider">Valor</th>
      </tr>
      </thead>
      <tbody class="bg-white divide-y divide-gray-200">
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">ID</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.id }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Nombre</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.nombre }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Dirección</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.direccion }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Nombre de Usuario</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.nombreUsuario }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Telefono</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.telefono }}</td>
      </tr>

      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Contraseña</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.contrasena }}</td>
      </tr>
      <tr>
        <td class="px-6 py-4 whitespace-nowrap">Correo</td>
        <td class="px-6 py-4 whitespace-nowrap">{{ respuestaCreacion.correo }}</td>
      </tr>
      </tbody>
      <button type="button" (click)="volverMenu()" class="inline-flex items-center px-4 py-2 border border-transparent text-base font-medium rounded-md text-gray-700 bg-gray-200 hover:bg-gray-300 focus:outline-none focus:ring-2 focus:ring-offset-2 focus:ring-gray-500">Volver</button>
    </table>
  </div>
</div>
  </div>
</div>
